---
# tasks file for docker

- name: Agregar soporte cgroups de cpu y memoria al kernel
  lineinfile:
    path: /boot/cmdline.txt
    backrefs: yes
    regexp: '^(.*)rootwait$'
    line: '\1rootwait cgroup_enable=cpuset cgroup_memory=1 cgroup_enable=memory'
  register: cmdline

- name: Reiniciar el nodo par habilitar cgroup para cpu y memoria
  shell: nohup bash -c "/bin/sleep 5 && /sbin/shutdown -r now" &
  when: cmdline.changed == true

- name: Esperar a que el nodo reinicie
  wait_for_connection: timeout=300 delay=30
  when: cmdline.changed == true

- name: Instalar dependencias de docker
  apt:
    name:
      - gnupg2
      - software-properties-common
      - python3-setuptools
      - python3-pip
      - python3-websocket
      - python3-docker
    state: latest

- name: Crear enlace simbolico de pip3 a pip
  file:
    src: /usr/bin/pip3
    dest: /usr/bin/pip
    state: link

- name: Instalar llave de repositorio apt para docker
  apt_key:
    url: https://download.docker.com/linux/raspbian/gpg
    id: 9DC858229FC7DD38854AE2D88D81803C0EBFCD88

- name: Instalar el repositorio apt para docker
  apt_repository:
    repo: deb [arch=armhf] https://download.docker.com/linux/raspbian {{ docker_release }} stable
    filename: docker

- name: Instalar Docker
  apt:
    name:
      - docker-ce
    install_recommends: no
    state: latest

- name: Agregar usuario ansible al grupo docker
  user:
    name: "{{ ansible_ssh_user }}"
    append: yes
    groups: docker

- name: Iniciar servicio docker al arranque del sistema
  service:
    name: docker
    state: started
    enabled: true

